<?php  
namespace Concrete\Package\GntDotRender\Controller\Ajax;

defined('C5_EXECUTE') or die('Access Denied.');
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2014 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */

use Concrete\Core\Controller\Controller;
use Concrete\Package\GntDotRender\Src\DotRenderer;

class DotImage extends Controller
{
	public function view( ) // TODO: parameters to review
	{
		try
		{
			$dot = DotRenderer::getFromRequest( $_REQUEST );
			header( "Content-Type: ". $dot->getMime() );
			$dot->render();
		}
		catch ( \Exception $e )
		{
			DotRenderer::outputErrorImage($e->getMessage());
		}

	}
}



// vim: set noexpandtab ts=4 :
